Bug 670823 - if subscribe with regtoken is gone, then it should be removed from cli
Summary: if subscribe with regtoken is gone, then it should be removed from cli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-19 13:30 UTC by John Sefler
Modified: 2011-05-19 13:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2011-01-19 13:30:04 UTC
Description of problem:

With the introduction of DELL activation, the subscribe with regtoken/email/locale functionality from the cli needs to be removed or modified.

[root@jsefler-betaqa-1 ~]# subscription-manager subscribe --help
Usage: subscription-manager subscribe [OPTIONS]

subscribe

Options:
  -h, --help            show this help message and exit
  --debug=DEBUG         debug level
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --regtoken=REGTOKEN   regtoken
  --pool=POOL           subscription pool id
  --email=EMAIL         optional email address to notify when token activation
                        is complete. Used with --regtoken only
  --locale=LOCALE       optional language to use for email notification when
                        token activation is complete. Used with --regtoken and
                        --email only. Examples: en-us, de-de



VERSION
[root@jsefler-betaqa-1 ~]# rpm -q subscription-manager
subscription-manager-0.93.12-1.el6.x86_64

Comment 2 Bryan Kearney 2011-01-21 16:37:14 UTC
fixed in 0964430af12be7b572c5134281370c8b22978031

Comment 4 John Sefler 2011-01-22 00:15:55 UTC
Verifying Version...
[root@jsefler-betaqa-2 ~]# rpm -qa | grep subscription-manager
subscription-manager-firstboot-0.93.14-1.el6.x86_64
subscription-manager-0.93.14-1.el6.x86_64
subscription-manager-gnome-0.93.14-1.el6.x86_64

[root@jsefler-betaqa-2 ~]# subscription-manager subscribe --help
Usage: subscription-manager subscribe [OPTIONS]

subscribe

Options:
  -h, --help            show this help message and exit
  --debug=DEBUG         debug level
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --pool=POOL           subscription pool id

VERIFIED: No more regtoken/email/locale options

Comment 5 errata-xmlrpc 2011-05-19 13:38:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.